# Rename a group

`POST /group.rename`

## Description

Rename a group by ID.

Apps may only rename groups for which they are an admin.

**Required scope:** `group:write`

---

**OpenAPI Spec:** [chat-v1.json](https://developer.ro.am/chat-v1.json)

## Authentication

```
Authorization: Bearer YOUR_API_KEY
```

## Request Body

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `id` | string | Yes | The group ID |
| `name` | string | Yes | The new name for the group |

### Example Request

```json
{
  "id": "88bebce7-6cbb-4666-96f9-5c02d73e6661",
  "name": "Product Engineering"
}
```

## Responses

### 204 - Group renamed successfully

### 400 - Bad request.

### 401 - Presented invalid authentication credentials.

### 403 - App does not have admin access to this group.

### 404 - Group not found.

### 500 - An internal error occurred.

---

*Machine-readable API documentation.*
*Full documentation: https://developer.ro.am/docs/api/group-rename*
